import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { MissingTeethStatusSchema } from '../enums/MissingTeethStatus.schema';
import { NestedEnumMissingTeethStatusFilterObjectSchema as NestedEnumMissingTeethStatusFilterObjectSchema } from './NestedEnumMissingTeethStatusFilter.schema'

const makeSchema = () => z.object({
  equals: MissingTeethStatusSchema.optional(),
  in: MissingTeethStatusSchema.array().optional(),
  notIn: MissingTeethStatusSchema.array().optional(),
  not: z.union([MissingTeethStatusSchema, z.lazy(() => NestedEnumMissingTeethStatusFilterObjectSchema)]).optional()
}).strict();
export const EnumMissingTeethStatusFilterObjectSchema: z.ZodType<Prisma.EnumMissingTeethStatusFilter> = makeSchema() as unknown as z.ZodType<Prisma.EnumMissingTeethStatusFilter>;
export const EnumMissingTeethStatusFilterObjectZodSchema = makeSchema();
